//
//    Copyright 2011 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef EVENTWRITER_H
#define EVENTWRITER_H

#include <QObject>
#include <QDateTime>

class EventData;
class QFile;
class QTextStream;
class QTimer;

class EventWriter : public QObject
{
    Q_OBJECT
public:
    explicit EventWriter(QObject *parent = 0);
    virtual ~EventWriter();
    QString DataFileName;

Q_SIGNALS:

public Q_SLOTS:
    void setFileName(const QString &str);
    void flush();
    void close();
    void SaveData(const EventData &eventData);

private:
    QFile * const DataFile;
    QTextStream * const DataOut;
    QTimer * const flushTimer;
    QDateTime comp_time;
};

#endif // EVENTWRITER_H
