//
//    Copyright 2010 Alexey Shutov, Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#include "dominosettings.h"

DominoSettings::DominoSettings()
    : nch(0), run(false), mode(NormalMode), readcellnumber(1024),
      trigdelay(5), amp_board_set(0) /*, writecellnumber(1024), analogDelay(1600) */
{
    trigsetup.all = 0;
    reg_pca.all = 0;
}

void DominoSettings::resize(int n)
{
    nch = n;
    for(int i=0; i<n; i++) {
        if (!en.contains(i))
            en[i] = true;
        if (!thr.contains(i))
            thr[i] = 100;
        if (!trig.contains(i))
            trig[i] = true;
    }
}
